Package org.eclipse.emf.cdo.etypes.provider.annotation

# Class AnnotationItemProviderAdapterFactory.Reflective

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory
org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory.Reflective

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`, `IChangeNotifier`, `IDisposable`

Enclosing class:
  AnnotationItemProviderAdapterFactory

public static class AnnotationItemProviderAdapterFactory.Reflective extends AnnotationItemProviderAdapterFactory
A reflective implementation of an annotation item provider adapter factory.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory

`AnnotationItemProviderAdapterFactory.DecategorizingItemPropertyDescritorDecorator, AnnotationItemProviderAdapterFactory.Group, AnnotationItemProviderAdapterFactory.ModeledItemPropertyDescriptorDecorator, AnnotationItemProviderAdapterFactory.Reflective`

## Field Summary

### Fields inherited from class org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory

`annotationItemProvider, assistant, changeNotifier, disposable, etypesItemProviderAdapterFactory, modelSwitch, PRODUCT_GROUP, resourceLocator, stringToStringMapEntryItemProvider, supportedTypes`

## Constructor Summary

Constructors
Constructor
Description
`Reflective(String annotationSource)`
Constructs an instance that uses `CDOEditPlugin.INSTANCE` and the assistant associated with the registered annotation validator of the annotation source.

## Method Summary

Modifier and Type
Method
Description
`String`
`getGroupName(EObject instance)`
Returns the group name associated with the given instance object.

### Methods inherited from class org.eclipse.emf.cdo.etypes.provider.annotation.AnnotationItemProviderAdapterFactory

`adapt, adapt, addListener, associate, create, createAdapter, createAnnotationAdapter, createPropertyDescriptorDecorator, createStringToStringMapEntryAdapter, dispose, doCreateAnnotationAdapter, doCreateStringToStringMapEntryAdapter, fireNotifyChanged, getAssistant, getPropertyDescriptor, getPropertyDescriptors, getResourceLocator, getRootAdapterFactory, isFactoryForType, isShowInstances, removeListener, setParentAdapterFactory, setParentAdapterFactory`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

## Constructor Details

### Reflective

public Reflective(String annotationSource)
Constructs an instance that uses `CDOEditPlugin.INSTANCE` and the assistant associated with the registered annotation validator of the annotation source.

Parameters:
  `annotationSource` - the annotation source of a `registered` annotation validator.

## Method Details

### getGroupName

public String getGroupName(EObject instance)
Returns the group name associated with the given instance object. This will typically be the name of the `instances's class`. If instances are `shown`, this name will be shown for the `group of properties` associated with that instance.

Overrides:
  `getGroupName` in class `AnnotationItemProviderAdapterFactory`
Returns:
  the group name associated with the given instance object.
See Also:
  - `AnnotationItemProviderAdapterFactory.isShowInstances(Annotation)`
  - `AnnotationItemProvider.SourcePropertyDescriptor.createPropertyValueWrapper(Object, Object)`